Subject: Re: [mpls] Kathleen Moriarty's No Objection on draft-ietf-mpls-rfc3107bis-02: (with COMMENT)
From: Kathleen Moriarty <[email-masked]>
To: Eric C Rosen <[email-masked]>
Cc: The IESG <[email-masked]>, [email-masked], Loa Andersson <[email-masked]>, mpls-chairs <[email-masked]>, [email-masked]
Date: Thu, 3 Aug 2017 10:15:01 -0400
List-Id: Multi-Protocol Label Switching WG <mpls.ietf.org>

On Thu, Aug 3, 2017 at 10:12 AM, Eric C Rosen <[email-masked]> wrote:
> I've modified the Security Considerations section (in the next rev, -03) to
> contain the following paragraph:
>
> -----------
>
>    If a particular tunnel encapsulation does not provide integrity and
>    authentication, it is possible that a data packet's label stack can
>    be modified, through error or malfeasance, while the packet is in
>    flight.  This can result in misdelivery of the packet.  It should be
>    noted that the tunnel encapsulation (MPLS) most commonly used in
>    deployments of this specification does not provide integrity or
>    authentication; neither do the other tunnel encapsulations mentioned
>    in Section 4.
> --------------
>
> I think this addresses your comment.

Eric,

Thank you.  I think this is helpful text to explain the considerations.

Best regards,
Kathleen
>
>
>
> On 8/2/2017 2:38 PM, Kathleen Moriarty wrote:
>>
>> Kathleen Moriarty has entered the following ballot position for
>> draft-ietf-mpls-rfc3107bis-02: No Objection
>>
>> When responding, please keep the subject line intact and reply to all
>> email addresses included in the To and CC lines. (Feel free to cut this
>> introductory paragraph, however.)
>>
>>
>> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
>> for more information about IESG DISCUSS and COMMENT positions.
>>
>>
>> The document, along with other ballot positions, can be found here:
>> https://datatracker.ietf.org/doc/draft-ietf-mpls-rfc3107bis/
>>
>>
>>
>> ----------------------------------------------------------------------
>> COMMENT:
>> ----------------------------------------------------------------------
>>
>> The security considerations section should at least mention that none of
>> the
>> tunnel methods provide encryption or authentication of those mentioned
>> earlier
>> in the document (Section 4: LSP, IP, GRE, & UDP).  Although this isn't
>> listed
>> as a discuss, I'd appreciate the comment being addressed with an update to
>> the
>> text (1-2 sentences at most).  Thank you.
>>
>>
>

-- 

Best regards,
Kathleen